Page MenuHomePhabricator

Edge of SVG cut off at certain thumbnail scaling resolutions
Closed, ResolvedPublic

Description

Author: M8R-udfkkf

Description:
79px

For the files:
https://commons.wikimedia.org/wiki/File:No_scale_line_graph1.svg
https://commons.wikimedia.org/wiki/File:No_scale_line_graph2.svg
https://commons.wikimedia.org/wiki/File:No_scale_line_graph3.svg

The rendering changes disproportionately as the image scales. At 80px, it renders properly. At 81px "Sales" is cut off. At 100px "Time" is cut off.

Related to Bug 38589


Version: unspecified
Severity: minor

Attached:

Details

Reference
bz38668

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:00 AM
bzimport set Reference to bz38668.
bzimport added a subscriber: Unknown Object (MLST).

M8R-udfkkf wrote:

80px

Attached:

M8R-udfkkf wrote:

81px

Attached:

M8R-udfkkf wrote:

82px

Attached:

M8R-udfkkf wrote:

100px

Attached:

M8R-udfkkf wrote:

125px

At 125px, it looks normal.

Attached:

Aklapper renamed this task from Edge of svg cut off at certain scaling resolutions to Edge of SVG cut off at certain thumbnail scaling resolutions.Mar 8 2016, 7:36 PM
Aklapper set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 7:36 PM
Aklapper closed this task as Resolved.Mar 10 2019, 7:13 PM

I cannot reproduce this issue nowadays anymore after purging via https://commons.wikimedia.org/wiki/File:No_scale_line_graph1.svg?action=purge and bypassing the browser cache hence closing as obsolete.

Please reopen if you can still reproduce the problem.